%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

%define pear_name Crypt_GPG

Name:           php-pear-Crypt-GPG
Version:        1.0.0
Release:        1.art
Summary:        This package provides an object oriented interface to GNU Privacy Guard
Group:          Development/Languages
License:        LGPL
URL:            http://pear.php.net/package/Crypt_GPG/
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) 
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This package provides an object oriented interface to GNU Privacy Guard (GnuPG). It requires the GnuPG executable to be on the system.

Though GnuPG can support symmetric-key cryptography, this package is intended only to facilitate public-key cryptography.

This package requires PHP version 5.2.1 or greater.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/Crypt/GPG/
%{pear_phpdir}/Crypt/GPG.php
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/data/%{pear_name}
%{pear_phpdir}/doc/%{pear_name}

%changelog
* Mon Mar 16 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.0
- initial build
